Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class ValidateCategorization

    java.lang.Object
      weblogic.uddi.client.structures.request.Request
          weblogic.uddi.client.structures.request.ValidateCategorization

    public class ValidateCategorization

extends Request

validate_categorization message is used to verify that a category exist within the given taxonomy. It also check whether an entity can be placed in a given category.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`ValidateCategorization()` Class Constructor

Method Summary
`BusinessEntity` | `getBusinessEntity()` Get the value of businessEntity
`BusinessService` | `getBusinessService()` Get the value of businessService
`KeyValue` | `getKeyValue()` Get the value of keyValue
`TModel` | `getTModel()` Get the value of tModel
`TModelKey` | `getTModelKey()` Get the value of tModelKey
`void` | `setBusinessEntity(BusinessEntity value)` Sets the value of businessEntity
`void` | `setBusinessService(BusinessService value)` Sets the value of businessService
`void` | `setKeyValue(KeyValue value)` Sets the value of keyValue
`void` | `setTModel(TModel value)` Sets the value of tModel
`void` | `setTModelKey(TModelKey value)` Sets the value of tModelKey

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateCategorization

    public ValidateCategorization()

  Class Constructor

Method Detail

### setTModelKey

    public void setTModelKey(TModelKey value)

  Sets the value of tModelKey

  Parameters:
    `value` - Value of tModelKey

### getTModelKey

    public TModelKey getTModelKey()

  Get the value of tModelKey

  Returns:
    Value of tModelKey

### setKeyValue

    public void setKeyValue(KeyValue value)

  Sets the value of keyValue

  Parameters:
    `value` - Value of keyValue

### getKeyValue

    public KeyValue getKeyValue()

  Get the value of keyValue

  Returns:
    Value of keyValue

### setBusinessEntity

    public void setBusinessEntity(BusinessEntity value)

  Sets the value of businessEntity

  Parameters:
    `value` - Value of businessEntity

### getBusinessEntity

    public BusinessEntity getBusinessEntity()

  Get the value of businessEntity

  Returns:
    Value of businessEntity

### setBusinessService

    public void setBusinessService(BusinessService value)

  Sets the value of businessService

  Parameters:
    `value` - Value of businessService

### getBusinessService

    public BusinessService getBusinessService()

  Get the value of businessService

  Returns:
    Value of businessService

### setTModel

    public void setTModel(TModel value)

  Sets the value of tModel

  Parameters:
    `value` - Value of tModel

### getTModel

    public TModel getTModel()

  Get the value of tModel

  Returns:
    Value of tModel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD